Subject: Re: Xapian cache/search proof of concept

From: Noé Lopez <[email-masked]>
Date: Mon, 28 Apr 2025 00:05:59 +0200

Hi everyone!

I’ve implemented everything I wanted, so here is Guix Xapian v1.1!

As proposed by Ludo, you can now use it as a channel, detailed usage
instructions are in the README at
<https://codeberg.org/Baleine/guix-xsearch>.

After installing, you can just run guix xsearch --index and then guix
xsearch <search> to get <0.2 seconds search!

New features compared to 0.1:
- Use as channel.
- Separate caches per profile.
- Faster search by not loading modules.

I’d appreciate if you could try it out and see if it works for you
before I announce it on guix-devel.

Have a nice day,
Noé